import React, { ChangeEvent, FC } from 'react'
import Paper from '@mui/material/Paper'
import Typography from '@mui/material/Typography'
import Box from '@mui/material/Box'
import TextField from '@mui/material/TextField'

interface Value {
	id: string
	secret: string
}

export const BotAddin: FC<{
	value: Value
	onChange: (value: Value) => void
}>
= ({ value, onChange }) => {
	const handleChange = (e: ChangeEvent<HTMLInputElement>) => {
		onChange({
			...value,
			[e.target.name]: e.target.value
		})
	}
	return (
		<Paper>
			<Typography variant="h6">RC Bot Add-in</Typography>
			<Box>
				<TextField label="RingCentral Client ID" name="id" onChange={handleChange} value={value.id} />
				<TextField label="RingCentral Client Screct" name="screct" onChange={handleChange} value={value.secret} />
			</Box>
		</Paper>
	)
}
