import React, { ChangeEvent, FC } from 'react'
import Paper from '@mui/material/Paper'
import Typography from '@mui/material/Typography'
import Box from '@mui/material/Box'
import TextField from '@mui/material/TextField'

export const EmailSender: FC<{ value: string; onChange: (value: string) => void }> = ({ value, onChange }) => {
	const handleChange = (e: ChangeEvent<HTMLInputElement>) => {
		onChange(e.target.value)
	}
	return (
		<Paper>
			<Typography variant="h6">Email Sender</Typography>
			<Box>
				<TextField label="Email" placeholder="Please enter your email address" type="email"
					value={value}
					onChange={handleChange}
				/>
			</Box>
		</Paper>
	)
}
